Skip to content

eSign Status

| View as Markdown

This API is for checking the status of eSign. After processing this api, we can get the status of esign as completed or not. If it’s completed, it will also save the signed document and return the pdf URL.

https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status
ParameterType ValueDescriptionValue Like
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredTextstring = param + secret_key;
sha256(<concate all values+SECRET KEY>);
91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
txn_id requiredAlphanumericTransaction id (max 10)1058
mobile_no optionalNumericMobile number (length 1-10)1234567890
docrefid requiredAlphanumericDocument reference id (length 1-7) Will be provided by airpayYPRWUAW
ParameterType ValueDescriptionValue Like
status requiredNumericStatus code (length 1-3)200
message requiredTextMessage
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
eSign is already completed for this user
signed_document requiredTextThis will provide the signed documenthttps://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcfQ==
esignType requiredTextesign type is nothing but what identifies whether the esigned agreement contains a single or multiple signature.Single
name requiredTextName of the customerKuldip Kumar
last4digit requiredNumericaadhar card number last 4 digit0000
state requiredTextName of statekerala
postalCode requiredNumericPostal code202000
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'txn_id="1058"'\
--form 'docrefid="YPRWUAW"'
HTTP/1.1 200 OK
{
"status": 200,
"signed_document": " https://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcL3lBPT0iLCJ2YWx1ZSI6InF3Qllsc3EzM2ZUYWQ0c0RzTm5COWc9PSIsIm1hYyI6ImNiNWUzYjI2ZTA2ZjJjZTIzNTBkZjQ4NDZkZTYxY2FiMTY4YzI5NjhjNDQ4NjhkMGIxNWY4NGE1Y2M5NDRiYzUifQ==",
"message": "eSign is already completed for this user",
"esignType": "Single",
"name": "Kuldip Kumar",
"last4digit": "0000",
"state": "kerala",
"postalCode": "202000"
}
HTTP/1.1 400 Failed
{
"status": 400,
"message": "eSign is not completed for this user"
}